import React, { useMemo } from 'react';
import { ResponsivePie } from '@nivo/pie';
var PieChartBlockRenderer = function (_a) {
    var block = _a.block, parentContext = _a.parentContext;
    var chartData = useMemo(function () {
        var data = parentContext[block.settings.dataContextKey];
        if (!Array.isArray(data)) {
            throw new Error("invalid pie chart data");
        }
        return data;
    }, [parentContext, block.settings.dataContextKey]);
    return (React.createElement("div", { style: { height: 200 } },
        React.createElement(ResponsivePie, { data: chartData })));
};
export default PieChartBlockRenderer;
