import { PieChart } from 'react-feather';
import PieChartBlockRenderer from './PieChartBlockRenderer';
import PieChartBlockConfigurator from './PieChartBlockConfigurator';
var pieChartModule = {
    description: "\nA binding to @nivo/pie package Pie Chart.\n    ",
    version: '0.1.3',
    schema: {},
    defaults: {
        label: 'Pie Chart',
        settings: {
            dataContextKey: ''
        }
    },
    icon: PieChart,
    renderer: PieChartBlockRenderer,
    configurator: PieChartBlockConfigurator,
    shouldAddChild: function () { return false; },
    shouldBeAdded: function () { return true; }
};
export default pieChartModule;
